The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Restore the DoS Profile to the Sensor

Prev Next

This URL restores the DoS profile to the Sensor.

Resource URL

PUT /sensor/<sensor_id>/restoredosprofile

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensorId

Sensor id

Number

Yes

Payload Request Parameters:

Field Name

Description

Data Type

Mandatory

DosProfileRestoreName

DoS profile

Object

Yes

Details of DosProfileRestoreName:

Field Name

Description

Data Type

Mandatory

dosProfileName

DoS profile name

String

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

status

Set to 1 if the operation was successful

Number

message

Returns the status messages

String

Example

Request

PUT https://<NSM_IP>/sdkapi/sensor/1002/retoredosprofile

Payload

{
  "dosProfileName" : "profile_Thu_Apr_24_17_50_16_IST_2014.dat.gz"
}

Response

{
       "status": 1,
       "message": "Download Complete for Dos (from manager to sensor)"
}

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1106

Invalid Sensor

2

400

1124

The Sensor is inactive

3

400

5601

The profile name does not exist for the Sensor